#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from onf_website.component.location.interfaces import ILocationTarget
from pyams_zmi.interfaces.menu import IPropertiesMenu
from pyams_zmi.layer import IAdminLayer

# import packages
from pyams_skin.viewlet.menu import MenuItem, MenuDivider
from pyams_viewlet.viewlet import viewlet_config

from onf_website import _


@viewlet_config(name='location.divider', context=ILocationTarget, layer=IAdminLayer,
                manager=IPropertiesMenu, permission='manage', weight=199)
class LocationMenuDivider(MenuDivider):
    """Location menu divider"""


@viewlet_config(name='location.menu', context=ILocationTarget, layer=IAdminLayer,
                manager=IPropertiesMenu, permission='system.view', weight=200)
class LocationMenu(MenuItem):
    """Location menu"""

    label = _("Location...")
    icon_class = 'fa-map-marker'
    url = '#location.html'
