#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from onf_website.component.theme.interfaces import IThemesTarget
from pyams_zmi.interfaces.menu import IPropertiesMenu
from pyams_zmi.layer import IAdminLayer

# import packages
from pyams_skin.viewlet.menu import MenuItem
from pyams_viewlet.viewlet import viewlet_config

from onf_website import _


@viewlet_config(name='themes.menu', context=IThemesTarget, layer=IAdminLayer,
                manager=IPropertiesMenu, permission='system.view', weight=220)
class ThemesMenu(MenuItem):
    """Themes menu"""

    label = _("Themes...")
    icon_class = 'fa-tags'
    url = '#themes.html'
