#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_skin.interfaces.configuration import IConfiguration
from pyams_utils.interfaces.site import ISiteRoot as IBaseSiteRoot

# import packages
from pyams_security.schema import PrincipalsSet, Principal
from zope.interface import Interface, Attribute

from onf_website import _


class ISiteRoot(IBaseSiteRoot):
    """Main site root interface"""


class ISiteRootRoles(Interface):
    """Main site roles"""

    managers = PrincipalsSet(title=_("Site managers"),
                             role_id='system.Manager',
                             required=False)

    webmasters = PrincipalsSet(title=_("Webmasters"),
                               role_id='onf.Webmaster',
                               required=False)

    operators = Principal(title=_("Operators group"),
                          description=_("Name of group containing all roles owners"),
                          role_id='onf.Operator',
                          required=False)


class ISiteRootConfiguration(IConfiguration):
    """Site root configuration interface"""


class ISiteRootToolsConfiguration(Interface):
    """Site root tools configuration interface"""

    tools_name = Attribute("Tools name")

    news_tool_name = Attribute("News tool name")
