#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from onf_website.component.extfile.interfaces import IExtFileContainerTarget
from onf_website.component.gallery.interfaces import IGalleryContainerTarget
from onf_website.component.hearing.interfaces import IHearingTarget
from onf_website.component.links.interfaces import ILinkContainerTarget
from onf_website.component.location.interfaces import ILocationTarget
from onf_website.component.paragraph.interfaces import IParagraphContainerTarget
from onf_website.component.theme.interfaces import IThemesTarget
from onf_website.shared.news.interfaces import INewsEvent, IWfNewsEvent, NEWS_CONTENT_TYPE

# import packages
from onf_website.shared.common import SharedContent, WfSharedContent, register_content_type
from zope.interface import implementer


@implementer(IWfNewsEvent, IParagraphContainerTarget, ILocationTarget, IHearingTarget, IThemesTarget,
             IExtFileContainerTarget, ILinkContainerTarget, IGalleryContainerTarget)
class WfNewsEvent(WfSharedContent):
    """Base news event"""

    content_type = NEWS_CONTENT_TYPE


register_content_type(WfNewsEvent)


@implementer(INewsEvent)
class NewsEvent(SharedContent):
    """Workflow managed news event class"""

    content_class = WfNewsEvent
